# POST /v4/organizations/{organizationId}/invitations

_Merkl API_

### Path parameters

- `organizationId` (string) _(required)_

## Request body

**`application/json`**
```json
{
  "type": "object",
  "properties": {
    "invitee": {
      "type": "object",
      "properties": {
        "kind": {
          "anyOf": [
            {
              "const": "WALLET",
              "type": "string"
            },
            {
              "const": "EMAIL",
              "type": "string"
            }
          ]
        },
        "value": {
          "minLength": 1,
          "maxLength": 256,
          "type": "string"
        }
      },
      "required": [
        "kind",
        "value"
      ]
    },
    "memberGroup": {
      "anyOf": [
        {
          "const": "ADMIN",
          "type": "string"
        },
        {
          "const": "OPERATOR",
          "type": "string"
        },
        {
          "const": "VIEWER",
          "type": "string"
        }
      ]
    }
  },
  "required": [
    "invitee",
    "memberGroup"
  ]
}
```
**`application/x-www-form-urlencoded`**
```json
{
  "type": "object",
  "properties": {
    "invitee": {
      "type": "object",
      "properties": {
        "kind": {
          "anyOf": [
            {
              "const": "WALLET",
              "type": "string"
            },
            {
              "const": "EMAIL",
              "type": "string"
            }
          ]
        },
        "value": {
          "minLength": 1,
          "maxLength": 256,
          "type": "string"
        }
      },
      "required": [
        "kind",
        "value"
      ]
    },
    "memberGroup": {
      "anyOf": [
        {
          "const": "ADMIN",
          "type": "string"
        },
        {
          "const": "OPERATOR",
          "type": "string"
        },
        {
          "const": "VIEWER",
          "type": "string"
        }
      ]
    }
  },
  "required": [
    "invitee",
    "memberGroup"
  ]
}
```
**`multipart/form-data`**
```json
{
  "type": "object",
  "properties": {
    "invitee": {
      "type": "object",
      "properties": {
        "kind": {
          "anyOf": [
            {
              "const": "WALLET",
              "type": "string"
            },
            {
              "const": "EMAIL",
              "type": "string"
            }
          ]
        },
        "value": {
          "minLength": 1,
          "maxLength": 256,
          "type": "string"
        }
      },
      "required": [
        "kind",
        "value"
      ]
    },
    "memberGroup": {
      "anyOf": [
        {
          "const": "ADMIN",
          "type": "string"
        },
        {
          "const": "OPERATOR",
          "type": "string"
        },
        {
          "const": "VIEWER",
          "type": "string"
        }
      ]
    }
  },
  "required": [
    "invitee",
    "memberGroup"
  ]
}
```

## Example request

```bash
curl -X POST "https://api.merkl.xyz//v4/organizations/{organizationId}/invitations" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```